npm command-line interface

# npm-prefix

Display prefix

## Table of contents

- Synopsis
- Description
- Example
- Configuration

- `global`

- See Also

### Synopsis

    npm prefix [-g]

Note: This command is unaware of workspaces.

### Description

Print the local prefix to standard output. This is the closest parent directory to contain a `package.json` file or `node_modules` directory, unless `-g` is also specified.

If `-g` is specified, this will be the value of the global prefix. See `npm config` for more detail.

### Example

    npm prefix
    /usr/local/projects/foo

    npm prefix -g
    /usr/local

### Configuration

#### `global`

- Default: false
- Type: Boolean

Operates in "global" mode, so that packages are installed into the `prefix` folder instead of the current working directory. See folders for more on the differences in behavior.

- packages are installed into the `{prefix}/lib/node_modules` folder, instead of the current working directory.
- bin files are linked to `{prefix}/bin`
- man pages are linked to `{prefix}/share/man`

### See Also

- npm root
- npm bin
- npm folders
- npm config
- npmrc